org.richfaces.fragment.panelMenu

## Interface PanelMenu

- All Known Subinterfaces:
    PanelMenuGroup
  All Known Implementing Classes:
    AbstractPanelMenu, RichFacesPanelMenu, RichFacesPanelMenuGroup

      public interface PanelMenu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PanelMenu` | `collapseAll()` Collapses all enabled and visible groups.
    `void` | `collapseGroup(ChoicePicker picker)` Collapses group which satisfies the rules given in `picker` object.
    `void` | `collapseGroup(int index)` Collapses group which index equals the given `index`.
    `void` | `collapseGroup(String header)` Collapses group which text representation matches the given `header`.
    `PanelMenu` | `expandAll()` Expands all enabled and visible groups.
    `PanelMenuGroup` | `expandGroup(ChoicePicker picker)` Expands group which satisfies the rules given in `picker` object.
    `PanelMenuGroup` | `expandGroup(int index)` Expands group which index equals the given `index`.
    `PanelMenuGroup` | `expandGroup(String header)` Expands group which text representation matches the given `header`.
    `PanelMenuItem` | `selectItem(ChoicePicker picker)` Selects a menu item which satisfies the rules given in `picker` object.
    `PanelMenuItem` | `selectItem(int index)` Selects a menu item which index equals the given `index`.
    `PanelMenuItem` | `selectItem(String header)` Selects a menu item which text representation matches the given `header`.

- - ### Method Detail

    - #### expandGroup

          PanelMenuGroup expandGroup(ChoicePicker picker)

      Expands group which satisfies the rules given in `picker` object. Note that group need to be enabled and visible before calling this method.
      Parameters:
        `picker` - object to define which group should be expanded
      Returns:
        the group which was expanded
      Throws:
        `IllegalArgumentException` - if group is not enabled or visible, or does not exist

    - #### expandGroup

          PanelMenuGroup expandGroup(String header)

      Expands group which text representation matches the given `header`. Note that group need to be enabled and visible before calling this method.
      Parameters:
        `header` - the header of the group which should be expanded
      Returns:
        the group which was expanded
      Throws:
        `IllegalArgumentException` - if group is not enabled or visible, or does not exist

    - #### expandGroup

          PanelMenuGroup expandGroup(int index)

      Expands group which index equals the given `index`. Note that group need to be enabled and visible before calling this method.
      Parameters:
        `index` - 0 based index of the group to expand
      Returns:
        the group which was expanded
      Throws:
        `IllegalArgumentException` - if group is not enabled or visible, or does not exist

    - #### collapseGroup

          void collapseGroup(ChoicePicker picker)

      Collapses group which satisfies the rules given in `picker` object. Note that group need to be enabled and visible before calling this method.
      Parameters:
        `picker` - object to define which group should be collapsed
      Throws:
        `IllegalArgumentException` - if group is not enabled or visible, or does not exist

    - #### collapseGroup

          void collapseGroup(String header)

      Collapses group which text representation matches the given `header`. Note that group need to be enabled and visible before calling this method.
      Parameters:
        `header` - the header of the group which should be collapsed
      Throws:
        `IllegalArgumentException` - if group is not enabled or visible, or does not exist

    - #### collapseGroup

          void collapseGroup(int index)

      Collapses group which index equals the given `index`. Note that group needs to be enabled and visible before calling this method.
      Parameters:
        `index` - 0 based index of the group to collapse
      Throws:
        `IllegalArgumentException` - if group is not enabled or visible, or does not exist

    - #### selectItem

          PanelMenuItem selectItem(ChoicePicker picker)

      Selects a menu item which satisfies the rules given in `picker` object. Note that item needs to be enabled and visible before calling this method.
      Parameters:
        `picker` - object to define which item should be selected
      Returns:
        the item which was selected
      Throws:
        `IllegalArgumentException` - if menu item is not enabled or visible, or does not exist

    - #### selectItem

          PanelMenuItem selectItem(String header)

      Selects a menu item which text representation matches the given `header`. Note that item needs to be enabled and visible before calling this method.
      Parameters:
        `header` - the header of the item which should be selected
      Returns:
        the item which was selected
      Throws:
        `IllegalArgumentException` - if menu item is not enabled or visible, or does not exist

    - #### selectItem

          PanelMenuItem selectItem(int index)

      Selects a menu item which index equals the given `index`. Note that item need to be enabled and visible before calling this method.
      Parameters:
        `index` - 0 based index of the item to be selected
      Returns:
        the item which was selected
      Throws:
        `IllegalArgumentException` - if group is not enabled or visible, or does not exist

    - #### expandAll

          PanelMenu expandAll()

      Expands all enabled and visible groups.
      Returns:
        the panel menu itself

    - #### collapseAll

          PanelMenu collapseAll()

      Collapses all enabled and visible groups.
      Returns:
        the panel menu itself

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.